Subject: Offline Message from Hanan: hello my order #100128645 marked as received but
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 12 Jun 2020 11:05:29 -0000

From: Hanan <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/sales/order/history/
Department: 

hello
my order #100128645 marked as received
but till now I didn't receive any
I even paid DHL imports and 50sr shipping from your side
I would like a full refund for my order with imports I paid
I've been waiting for my order since 4/4/20 and I callled and sent lots of emails 

----
Zopim
https://www.zopim.com